import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';

import { JumpTypeResp } from '../models/jumpType';

import { BaseService } from './base.service';


@Injectable()
export class JumpTypeService extends BaseService {
  constructor(private http: HttpClient) {
    super();
  }

  public getListOfJumpTypes(): Observable<Array<JumpTypeResp>> {
    return this.http.get<Array<JumpTypeResp>>(
      `${this.apiUrl}/JumpType`,
      { headers: this.headers }
    );
  }
}
